! END line indicate the end of the main program.
! Every program has just one END line.
DECLARE EXTERNAL FUNCTION C    ! main program
INPUT n,r
PRINT C(n,r)
END 
EXTERNAL FUNCTION C(n,r)       ! External function definition
IF r=0 OR r=n THEN LET C=1 ELSE LET C=C(n-1,r-1)+C(n-1,r)

END FUNCTION
 
